Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.jndi.java
Class javaNameParser

    java.lang.Object
      org.eclipse.jetty.jndi.java.javaNameParser

All Implemented Interfaces:
  javax.naming.NameParser

    public class javaNameParser

extends java.lang.Object
implements javax.naming.NameParser

javaNameParser

Constructor Summary
`javaNameParser()`

Method Summary
`javax.naming.Name` | `parse(java.lang.String name)` Parse a name into its components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### javaNameParser

    public javaNameParser()

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Parse a name into its components.

  Specified by:
    `parse` in interface `javax.naming.NameParser`
  Parameters:
    `name` - The non-null string name to parse.
  Returns:
    A non-null parsed form of the name using the naming convention of this parser.
  Throws:
    `javax.naming.NamingException` - If a naming exception was encountered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.